Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Cleanup Class Reference

Base class for objects that are cleaned by ACE_Object_Manager. More...

`#include <Cleanup.h>`

Inheritance diagram for ACE_Cleanup:

[legend]
List of all members.

## Public Methods
| ACE_Cleanup (void)
| No-op constructor.
virtual | ~ACE_Cleanup (void)
| Destructor.
virtual void | cleanup (void *param=0)
| Cleanup method that, by default, simply deletes itself.

## Detailed Description

Base class for objects that are cleaned by ACE_Object_Manager.

## Constructor & Destructor Documentation

ACE_INLINE ACE_Cleanup::ACE_Cleanup | ( | void |  | ) |

| No-op constructor.

ACE_Cleanup::~ACE_Cleanup | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void ACE_Cleanup::cleanup | ( | void * | param = 0 | ) | `[virtual]`

| Cleanup method that, by default, simply deletes itself. Reimplemented in ACE_Singleton< TYPE, ACE_LOCK >, and ACE_TSS_Singleton< TYPE, ACE_LOCK >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Cleanup.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Cleanup.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Cleanup.inl